﻿param(
    [parameter(Position=0,Mandatory=$false,ValueFromPipeline=$false)][int]$count
    )

$MaxDelay   = 1..5
$recipients = (Get-Content .\recipients.txt)
#$recipients = @("user1@domainexchange.com","user2@domainexchange.com","user3@domainexchange.com","user4@domainexchange.com")
#$recipients = (Get-Mailbox -ResultSize Unlimited | select PrimarySmtpAddress)
$sender     = @("user1@domainexchange.com","user2@domainexchange.com","user3@domainexchange.com","user4@domainexchange.com")

if (!([int]$count)) { $count = 10 }

for ($i = 1; $i -le $count; $i++)
{

    $NumberOfRecipients = (1..3 | Get-Random)
    $body               = "<html>Date :" + (Get-Date).ToString() + "<br><br><b>NOTICE</b>:<br><br>This email was sent for test purpose only. Please dont reply or take into account.<br><br>The Messaging Team.<br><br><hr><br><b>CONTENT:</b><br><br>"
  
    $params = @{
        To          = ($recipients | Get-Random -Count $NumberOfRecipients)
        From        = ($sender | Get-Random)
        SmtpServer  = "mail.domainexchange.com"
        Subject     = (Get-Content .\subject.txt | Get-Random)
        BodyAsHTML  = $true
        Body        = $body + (Get-Content (Get-ChildItem body*.txt | Get-Random))
        Attachments = (Get-ChildItem attach*.* | Get-Random).Name
        Encoding    = [System.Text.Encoding]::UTF8
        ErrorAction = "SilentlyContinue"
    }

    write-host "Sending email $i ..."

    Send-MailMessage @Params 

    Sleep -s ($MaxDelay | Get-Random)

}